Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 2324

Summary: GTK 1.2.1 has bugs that cause wmakerconf and other apps to work incorrectly
Product: [Retired] Red Hat Linux Reporter: d-zhao
Component: gtk+Assignee: Owen Taylor <otaylor>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6.0   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2000-02-03 19:07:36 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description d-zhao 1999-04-22 15:02:27 UTC
1.2.1 of GTK+ needs to be upgraded as a bug was found in it
which would cause the menu drag/dropping in apps such as
wmakerconf's menu editor to not work properly, when you drag
a menu item to the place you want it to be, nothing
happens, the developers have found the bug and will fix it
(maybe in 1.2.2 or later), so upgrade might  be neccessary.

Comment 1 Owen Taylor 1999-05-26 14:13:59 UTC
The bug being referred to is a bug with reordering CLists
with drag and drop. (It just didn't work at all)
This was fixed in fact fixed in GTK+-1.2.3 - this really
isn't update material, but if we do a maintenance release
of the GNOME packages, we should do one of GTK+ as well.

Comment 2 Owen Taylor 2000-02-03 19:07:59 UTC
This was fixed in 6.1.